import slugify from "@sindresorhus/slugify";
// TODO: currently we need this undefined check because we make 1 bundle for node+browser instead of 2 bundles
export const isLocalDev = typeof process !== `undefined` && process.env.NODE_ENV === `development`;
export const isTest = typeof process !== `undefined` && process.env.NODE_ENV === `test`;
const warned = new Set();
export function localDevWarnOnce(key, warning) {
    if (!isLocalDev || warned.has(key))
        return;
    warned.add(key);
    console.warn(`[Netlify SDK] ${warning}`);
}
export function slugifyLocale(code) {
    return slugify(code, { separator: "_", lowercase: false });
}
//# sourceMappingURL=utils.js.map